Bug 1445354 - [RFE] Edit action is not been supported for VMS resources.
Summary: [RFE] Edit action is not been supported for VMS resources.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: All
OS: Linux
medium
high
Target Milestone: GA
: 5.8.0
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: rest:api
Depends On: 1428250
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 14:08 UTC by Satoe Imaishi
Modified: 2017-05-31 15:00 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.12
Doc Type: Enhancement
Doc Text:
Clone Of: 1428250
Environment:
Last Closed: 2017-05-31 15:00:15 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq pull 14623 None None None 2017-04-25 14:09:08 UTC
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 Martin Kourim 2017-05-09 06:59:34 UTC
Verified with
POST /api/vms/:id
{
  "action": "edit",
  "custom_1": "new_custom_identifier",
  "description": "new_description"
}
that it's now possible to edit vms resources using REST API.

Comment 4 errata-xmlrpc 2017-05-31 15:00:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.